/*

Qanac, the Quick Analytic Accounting
Copyright (C) 2006 Stephane Magnenat <stephane at magnenat dot net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef __BUDGET_DIALOG_H
#define __BUDGET_DIALOG_H

#include <QDialog>
#include <QVector>

class QDoubleSpinBox;
class QComboBox;
class QTableWidget;
class QDomDocument;
class QLabel;

class BudgetDialog : public QDialog
{
	Q_OBJECT
	
public:
	BudgetDialog(const QTableWidget *accounts, QDomDocument *document);
	
	QDomDocument *domDocument;
	QComboBox *source;
	QVector<QLabel *> labels;
	QVector<QDoubleSpinBox *> amounts;
	
private slots:
	void budgetAccepted();
	void sourceChanged(const QString &);
};

#endif
